# inspired from fedora spec file
# License: MIT
# https://opensource.org/licenses/MIT

%define github_name     FastRoute
%define composer_name   fast-route
%define composer_vendor nikic

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:           php-%{composer_vendor}-%{composer_name}
Version:        1.3.0
Release:        %mkrel 5
Summary:        Fast implementation of a regular expression based router
License:        BSD
Group:          Development/PHP
URL:            https://github.com/nikic/FastRoute
Source:         https://github.com/nikic/FastRoute/archive/%{github_name}-%{version}.tar.gz
BuildArch:      noarch

# composer.json
Requires:       php >= 5.4
# phpcompatinfo 5.0.0 report for version 1.0.0
Requires:       php-pcre

Provides:       php-composer(%{composer_vendor}/%{composer_name}) = %{version}


%description
Fast implementation of a regular expression based router.

Documentation:
https://nikic.github.io/2014/02/18/Fast-request-routing-using-regular-expressions.html

Autoloader: %{php_libdir}/FastRoute/bootstrap.php

%prep
%setup -qn %{github_name}-%{version}

%build

%install
mkdir -p %{buildroot}%{php_libdir}
cp -pr src %{buildroot}%{php_libdir}/FastRoute

%files
%doc LICENSE
%doc composer.json
%doc *.md
%{php_libdir}/FastRoute


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.3.0-5.mga10
+ Revision: 2204833
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.3.0-4.mga9
+ Revision: 1810721
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.3.0-3.mga8
+ Revision: 1507230
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.3.0-2.mga7
+ Revision: 1287658
- Mageia 7 Mass Rebuild

* Tue Feb 27 2018 guillomovitch <guillomovitch> 1.3.0-1.mga7
+ Revision: 1205528
- new version 1.3.0

* Wed Oct 04 2017 guillomovitch <guillomovitch> 1.2.0-1.mga7
+ Revision: 1168094
- imported package php-nikic-fast-route

